import request from "@/scripts/httpRequest";
import qs from "qs";

export const getDevInfo = () => {
  return request({
    url: "/data/api-v/sysset/getDevInfo",
    method: "get"
  });
};

export const getClockInfo = () => {
  return request({
    url: "/data/api-v/sysset/clockInfo",
    method: "get"
  });
};

export const getAlarmConfig = () => {
  return request({
    url: "/data/api-v/sysset/alarmServerShow",
    method: "get"
  });
};

export const getGB28181Config = () => {
  return request({
    url: "/data/api-v/gb28181/configShow",
    method: "get"
  });
};

export const saveDevInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysset/saveDeviceInfo",
    method: "post",
    data: qs.stringify(query)
  });
};

export const saveAlarmConfig = (query: any) => {
  return request({
    url: "/data/api-v/sysset/videoLenEdit",
    method: "post",
    data: qs.stringify(query)
  });
};

export const saveGB28181Config = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/configEdit",
    method: "post",
    data: query
  });
};

export const saveClockInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysset/updateClock",
    method: "post",
    data: query
  });
};

export const testNTPserver = (query: any) => {
  return request({
    url: "/data/api-v/sysset/ntpTest",
    method: "get",
    params: query
  });
};

export const getSystemSummaryInfo = () => {
  return request({
    url: "/data/api-v/sysset/sysinfo",
    method: "get"
  });
}

export const getSysThresholds = () => {
  return request({
    url: "/data/api-v/sysset/sysThresholds",
    method: "get"
  });
}

export const rebootServer = () => {
  return request({
    url: "/data/api-v/sysset/reboot",
    method: "get"
  });
}

export const probeServer = () => {
  return request({
    url: "/img/icons/favicon-32x32.png",
    method: "get"
  });
}

export const getRebootTask = () => {
  return request({
    url: "/data/api-v/sysset/rebootTask",
    method: "get"
  });
}

export const setRebootTask = (query: any) => {
  return request({
    url: "/data/api-v/sysset/rebootTask",
    method: "post",
    data: qs.stringify(query)
  });
}

export const getResourceConfig = () => {
  return request({
    url: "/data/api-v/sysset/getResourceConfig",
    method: "get"
  });
};

export const saveResourceConfig = (query: any) => {
  return request({
    url: "/data/api-v/sysset/saveResourceConfig",
    method: "post",
    data: query
  });
};

export const doUpgrade = (query: any) => {
  return request({
    url: "/data/api-v/sysset/upgrade",
    method: "post",
    data: qs.stringify(query)
  });
};

export const deleteDate = (query: any) => {
  return request({
    url: "/data/api-v/clearData/deleteEsData",
    method: "post",
    data: query
  });
};

export const fileUpload = "/data/api-v/sysset/patchUpdate"

export const getGb28181AreaList = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/findAreaByParentId",
    method: "get",
    params: query
  });
};

export const newGb28181ID = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/newGbId",
    method: "get",
    params: query
  });
};